Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1642183 - (CVE-2018-12393) CVE-2018-12393 Mozilla: Integer overflow during Unicode conversion while loading JavaScript
CVE-2018-12393 Mozilla: Integer overflow during Unicode conversion while load...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20181023,repo...
: Security
Depends On: 1649193 1649195 1640852 1640854 1644504 1644506
Blocks: 1640850 1644502
  Show dependency treegraph
 
Reported: 2018-10-23 18:07 EDT by Doran Moppert
Modified: 2018-11-13 01:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-11-13 01:15:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3005 None None None 2018-10-24 18:09 EDT
Red Hat Product Errata RHSA-2018:3006 None None None 2018-10-24 18:10 EDT
Red Hat Product Errata RHSA-2018:3531 None None None 2018-11-09 06:48 EST
Red Hat Product Errata RHSA-2018:3532 None None None 2018-11-09 06:48 EST

  None (edit)
Description Doran Moppert 2018-10-23 18:07:30 EDT
A potential vulnerability was found in 32-bit builds where an integer overflow during the conversion of scripts to an internal UTF-16 representation could result in allocating a buffer too small for the conversion. This leads to a possible out-of-bounds write. 

*Note: 64-bit builds are not vulnerable to this issue.*



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-27/#CVE-2018-12393
Comment 1 Doran Moppert 2018-10-23 18:07:41 EDT
Acknowledgments:

Name: the Mozilla project
Upstream: r
Comment 3 errata-xmlrpc 2018-10-24 18:09:33 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3005 https://access.redhat.com/errata/RHSA-2018:3005
Comment 4 errata-xmlrpc 2018-10-24 18:09:57 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:3006 https://access.redhat.com/errata/RHSA-2018:3006
Comment 5 errata-xmlrpc 2018-11-09 06:48:35 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:3531 https://access.redhat.com/errata/RHSA-2018:3531
Comment 6 errata-xmlrpc 2018-11-09 06:48:50 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3532 https://access.redhat.com/errata/RHSA-2018:3532

Note You need to log in before you can comment on or make changes to this bug.